Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class XMLResultDocument

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.Document
              com.autonomy.aci.businessobjects.ResultDocument
                  com.autonomy.aci.businessobjects.XMLResultDocument

All Implemented Interfaces:
  java.io.Serializable

public class XMLResultDocument
extends ResultDocument

An extension of `ResultDocument` for handling documents that were indexed as XML rather than using the IDX format. Provides extra methods for accessing the XML content of the document.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.autonomy.aci.businessobjects.ResultDocument
`CONTENT_AUTN_FIELD_NAME, DATABASE_AUTN_FIELD_NAME, ID_AUTN_FIELD_NAME, LINKS_AUTN_FIELD_NAME, REFERENCE_AUTN_FIELD_NAME, SECTION_AUTN_FIELD_NAME, SUMMARY_AUTN_FIELD_NAME, TITLE_AUTN_FIELD_NAME, URL_AUTN_FIELD_NAME, WEIGHT_AUTN_FIELD_NAME`

Constructor Summary
`XMLResultDocument()` Create a `XMLResultDocument` with no properties set.
`XMLResultDocument(java.lang.String sDocRef)` Create a `XMLResultDocument` with the given document reference.

Method Summary
`AciResponse` | `getXMLContent()` Retrieve the XML content of the document.
`void` | `setXMLContent(AciResponse acirContent)` Set the contents of a document that has been indexed into IDOL as XML.
`java.lang.String` | `toString()` Creates a string detailing all this document's properties and it's XML content.

Methods inherited from class com.autonomy.aci.businessobjects.ResultDocument
`addAutnField, addContentField, addLink, clearAutnFields, clearContentFields, clearLinks, getAutnFields, getAutnFieldValue, getAutnFieldValue, getContentFields, getContentFieldValue, getContentFieldValue, getDatabase, getDocReference, getLinks, getSummary, getTitle, getWeight, removeAutnField, removeContentField, removeLink, setAutnFields, setContentFields, setDatabase, setDocReference, setLinks, setSummary, setTitle, setWeight`

Methods inherited from class com.autonomy.aci.businessobjects.Document
`equals`

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLResultDocument

    public XMLResultDocument()

  Create a `XMLResultDocument` with no properties set.

### XMLResultDocument

    public XMLResultDocument(java.lang.String sDocRef)

  Create a `XMLResultDocument` with the given document reference.

Parameters:
  `sDocRef` - the reference by which the document is uniquely identified within IDOL (the value of its DREREFERENCE or autn:reference).

Method Detail

### setXMLContent

    public void setXMLContent(AciResponse acirContent)

  Set the contents of a document that has been indexed into IDOL as XML. The content is then all the XML contained within the document's autn:content tag.

  Parameters:
    `acirContent` - the document content.

### getXMLContent

    public AciResponse getXMLContent()

  Retrieve the XML content of the document. This is all the XML contained within the 'autn:content' element of the document in an IDOL response.

  Returns:
    the XML content represented as an `AciResponse` linked list.

### toString

    public java.lang.String toString()

  Creates a string detailing all this document's properties and it's XML content.

  Overrides:
    `toString` in class `ResultDocument`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD